using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models
{
    public class PmsTaskInfoDto
    {
        [MaxLength(50)]
        public string TaskID { get; set; }

        [MaxLength(50)]
        public string WareHouseCode { get; set; }

        [MaxLength(50)]
        public string LocationCode { get; set; }

        [MaxLength(50)]
        public string MaterialId { get; set; }

        [MaxLength(50)]
        public string TargetWareHouseCode { get; set; }

        [MaxLength(50)]
        public string TargetLocationCode { get; set; }


        public int Carrier { get; set; }
        public string CarrierType { get; set; }
        public int Priority { get; set; }

        public string ParentTaskId { get; set; }
    }
}
